# -*- encoding: utf-8 -*-

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require 'dot_config/version'

Gem::Specification.new do |gem|
  gem.name          = 'dotconfig'
  gem.version       = DotConfig::Version::STRING
  gem.authors       = 'Geoffrey Roguelon'
  gem.email         = 'geoffrey.roguelon@gmail.com'
  gem.description   = %q{Manage your configuration via the dot syntax.}
  gem.summary       = %q{The DotConfig gem give you access to your configuration via the dot syntax. You instantiate DotConfig::Configuration with a Hash and you will retrieve the values in calling the key as method name.}
  gem.license       = 'MIT'
  gem.homepage      = 'http://github.com/GRoguelon/DotConfig'
  gem.has_rdoc      = false

  gem.files         = `git ls-files`.split($/)
  gem.executables   = gem.files.grep(%r{^bin/}).map{ |f| File.basename(f) }
  gem.test_files    = gem.files.grep(%r{^(test|spec|features)/})
  gem.require_paths = %w{lib}

  gem.add_development_dependency 'activesupport', '~> 3.0'
  gem.add_development_dependency 'rake'

  gem.required_ruby_version = '>= 1.9.1'
end
