# -*- encoding: utf-8 -*-

require 'test_helper'

class DotConfig::VersionTest < ActiveSupport::TestCase

  test 'Version is defined' do
    assert DotConfig.const_defined?(:Version), 'Module undefined'
  end

  test 'version constants is defined' do
    assert Version.const_defined?(:MAJOR),  'MAJOR undefined'
    assert Version.const_defined?(:MINOR),  'MINOR undefined'
    assert Version.const_defined?(:TINY),   'TINY undefined'
    assert Version.const_defined?(:PRE),    'PRE undefined'
    assert Version.const_defined?(:STRING), 'STRING undefined'
  end

  test 'version string is equal' do
    major, minor, tiny, pre = Version::STRING.split('.')

    assert_equal Version::MAJOR.to_s, major, 'Major not equal'
    assert_equal Version::MINOR.to_s, minor, 'Minor not equal'
    assert_equal Version::TINY.to_s,  tiny,  'Tiny not equal'
    assert_equal Version::PRE,        pre,   'Pre not equal'
  end
end
